Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class AutoTester

    java.lang.Object
      ix.iplan.AutoTester

    public class AutoTester

extends java.lang.Object

Runs a list of `PlanTest`s.

This class is based on parts of O-Plan.

See Also:
  `PlanCheckingSimulator`

Nested Class Summary
`class` | `AutoTester.TestRunner` Conducts a plan-test.

Field Summary
`protected java.util.List` | `failedTests`
`protected int` | `numberOfPlans`
`protected boolean` | `planFromPlans`
`protected PlanTestDefaults` | `planTestDefaults`
`protected SlipStats` | `statSummary`
`protected java.io.PrintStream` | `traceOut`

Constructor Summary
`AutoTester()`

Method Summary
`(package private) java.lang.String` | `fullDomainName(PlanTest test)`
`static void` | `main(java.lang.String[] argv)`
`(package private) Slip` | `makeTestPlanner(PlanTest test)`
`(package private) java.util.List` | `readTestList(java.lang.String resourceName)`
`(package private) void` | `recordFailure(PlanTest failed)`
`(package private) void` | `runTestList(java.util.List tests)`
`(package private) void` | `setPlanFromPlans(boolean v)`
`(package private) void` | `setPlanTestDefaults(PlanTestDefaults defaults)`
`void` | `testFailure(PlanTest failed, java.lang.String reason)`
`void` | `trace(java.lang.String message)`
`void` | `traceln(java.lang.String message)`
`void` | `traceln(java.lang.String message, java.lang.Object obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### traceOut

    protected java.io.PrintStream traceOut

### numberOfPlans

    protected int numberOfPlans

### failedTests

    protected java.util.List failedTests

### statSummary

    protected SlipStats statSummary

### planTestDefaults

    protected PlanTestDefaults planTestDefaults

### planFromPlans

    protected boolean planFromPlans

Constructor Detail

### AutoTester

    public AutoTester()

Method Detail

### main

    public static void main(java.lang.String[] argv)

### setPlanTestDefaults

    void setPlanTestDefaults(PlanTestDefaults defaults)

### setPlanFromPlans

    void setPlanFromPlans(boolean v)

### runTestList

    void runTestList(java.util.List tests)

### recordFailure

    void recordFailure(PlanTest failed)

### trace

    public void trace(java.lang.String message)

### traceln

    public void traceln(java.lang.String message)

### traceln

    public void traceln(java.lang.String message,
                        java.lang.Object obj)

### testFailure

    public void testFailure(PlanTest failed,
                            java.lang.String reason)

### readTestList

    java.util.List readTestList(java.lang.String resourceName)

### makeTestPlanner

    Slip makeTestPlanner(PlanTest test)

### fullDomainName

    java.lang.String fullDomainName(PlanTest test)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD